ManagedConcurrentMap (Groovy 2.4.3)
Date: 2015-03-23

org.codehaus.groovy.util

## Class ManagedConcurrentMap<K,V>

- java.lang.Object
- - org.codehaus.groovy.util.AbstractConcurrentMapBase
  - - org.codehaus.groovy.util.AbstractConcurrentMap<K,V>
    - - org.codehaus.groovy.util.ManagedConcurrentMap<K,V>

- Direct Known Subclasses:
    MixinInMetaClass

      public class ManagedConcurrentMap<K,V>
      extends AbstractConcurrentMap<K,V>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ManagedConcurrentMap.Entry<K,V>`
    `static class` | `ManagedConcurrentMap.EntryWithValue<K,V>`
    `static class` | `ManagedConcurrentMap.Segment<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ReferenceBundle` | `bundle`

    - ### Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

      `MAXIMUM_CAPACITY, segments`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedConcurrentMap(ReferenceBundle bundle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ManagedConcurrentMap.Segment<K,V>` | `createSegment(Object segmentInfo, int cap)`

    - ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMap

      `get, getOrPut, put, remove, segmentFor`

    - ### Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase

      `fullSize, hash, size, values`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bundle

          protected ReferenceBundle bundle

  - ### Constructor Detail

    - #### ManagedConcurrentMap

          public ManagedConcurrentMap(ReferenceBundle bundle)

  - ### Method Detail

    - #### createSegment

          protected ManagedConcurrentMap.Segment<K,V> createSegment(Object segmentInfo,
                                                        int cap)

      Specified by:
        `createSegment` in class `AbstractConcurrentMapBase`